PHY_PREPARE_LINK(9)

NAME
phy_prepare_link - prepares the PHY layer to monitor link status

SYNOPSIS

void phy_prepare_link(struct phy_device * phydev, void (*handler) (struct net_device *));

ARGUMENTS

phydev
    target phy_device struct

handler
    callback function for link status change notifications

DESCRIPTION

Tells the PHY infrastructure to handle the gory details on monitoring link status (whether through polling or an interrupt), and to call back to the connected device driver when the link status changes. If you want to monitor your own link state, don't call this function.

COPYRIGHT